Up-to-date packages and pkgsrc


Ulrich Habel wants to update some of the Perl 5 modules in pkgsrc.  He published a request for comments, describing what he plans to do for changing some dependencies.  He does note that Perl 5 in pkgsrc is at 5.14.2, which is very recent.

I was talking to a relative today who works at a large financial company, which is standardizing on Red Hat Enterprise.  I find it strange that Red Hat, which has a lot of money behind it, still ships a years-old and arguably broken version of perl.   By using pkgsrc, you’re getting more up-to-date software than people that actually shell out money for the privilege of compiling software.

Posted by     Categories: Goings-on, pkgsrc     1 Comment
1 Comment on Up-to-date packages and pkgsrc

Respond | Trackback

  1. ambushbloat says:

    In Red Hat’s defence, RHEL 5 was released in 2007, where the newest Perl was 5.8; RHEL 6 in late 2010 (newest Perl 5.12, but they shipped 5.10). Anyone trying to create a server distro would not lightly upgrade something which so many packages depend on.

    (Even then, Fedora, the testing platform for Red Hat usually known for bleeding edge software, has been a tad slow in adopting new Perl versions to my knowledge)

    Anyway, the Perl community often recommends installing a (possibly newer) local Perl interpreter and using that for own scripts and development. Things are less likely to break that way.

Respond

Comments

Comments